//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 11 textures and 60 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.0.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 10/27/1996    (27.10.1996)
//

#max_trace_level 5

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//




camera {  //  Camera StdCam
  location  <-40.011, -31.237, 36.198>
  direction <0.0,     0.0,  3.7809>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <-0.166, 5.026, 0.639>
}

// *******  L I G H T S *******
light_source {   // Light2
  <-30.543, 16.075, 55.521>
  color rgb <1.000, 1.000, 0.659>
}

light_source {   // Light001
  <-28.126, 8.411, 47.193>
  color rgb <1.000, 1.000, 0.298>
}


// ********  TEXTURES  *******
//

#include "saucnew.inc"



// ********  REFERENCED OBJECTS  *******

#declare CSGObj3 = union {
  torus { // BEAMS3
    1.025, 0.025  rotate -x*90
    scale <0.31, 1.0, 1.0>
    rotate <0.0, -90.0, -30.0>
  }
  torus { // BEAMS4
    1.025, 0.025  rotate -x*90
    scale <0.31, 1.0, 1.0>
    rotate <0.0, -90.0, -60.0>
  }
  torus { // BEAMS1
    1.025, 0.025  rotate -x*90
    scale <0.31, 1.0, 1.0>
    rotate <-2.0, -90.0, 0.0>
    translate  <0.0, 0.0, 0.0>
  }
  torus { // BEAMS
    1.025, 0.025  rotate -x*90
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
  }
  torus { // BEAMS2
    1.025, 0.025  rotate -x*90
    scale <0.31, 1.0, 1.0>
    rotate <92.0, -90.0, 0.0>
    translate  <0.0, 0.0, 0.0>
  }
  torus { // BEAMS8
    1.025, 0.025  rotate -x*90
    scale <0.31, 1.0, 1.0>
    rotate <60.0, -90.0, -30.0>
  }
  torus { // BEAMS9
    1.025, 0.025  rotate -x*90
    scale <0.31, 1.0, 1.0>
    rotate <90.0, -90.0, -30.0>
  }
  torus { // BEAMS5
    0.8, 0.025  rotate -x*90
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, 0.195>
  }
  torus { // BEAMS7
    0.5, 0.025  rotate -x*90
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, 0.27>
  }
  torus { // BEAMS10
    0.5, 0.025  rotate -x*90
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.27>
  }
  torus { // BEAMS6
    0.8, 0.025  rotate -x*90
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.195>
  }
}
#declare Saucer = union {
  object { CSGObj3 }
  sphere { // SAUCER
    <0,0,0>,1
    texture {
      Sauce
    }
    no_shadow
    scale <1.0, 1.0, 0.3>
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
  }
  no_shadow
  scale 3.0
  rotate -135.0*z
  translate  <0.0, 13.1, -1.0>
  texture {
    Funky
  }
}
#declare e7 = difference {
  cone { // e5
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.7, 0.7, 1.0>
    translate  0.41*z
  }
  cone { // e6
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.7, 0.7, 1.0>
    translate  0.43*z
  }
  texture {
    White_Marble
  }
}
#declare e3 = difference {
  sphere { // e1
    <0,0,0>,1
    texture {
      Jade
    }
    scale <1.0, 1.0, 1.75>
  }
  box { // e2
    <-1, -1, -1>, <1, 1, 1>
    scale <1.1, 1.1, 1.0>
    translate  1.0*z
  }
}
#declare e4 = union {
  object { e3 }
  cylinder { // BODY
    <0,0,1>, <0,0,0>, 1 
    texture {
      Jade
    }
  }
  texture {
    Jade
  }
}
#declare thecage = union {
  torus { // cage
    4.75, 0.25  rotate -x*90
    texture {
      Bronze_Texture
    }
    scale <0.6, 0.3, 0.4>
    rotate -90.0*y
    translate  -1.75*z
  }
  torus { // cage1
    4.75, 0.25  rotate -x*90
    texture {
      Bronze_Texture
    }
    scale <0.6, 0.3, 0.4>
    rotate <0.0, -90.0, -90.0>
    translate  -1.75*z
  }
  torus { // crossframe
    4.75, 0.25  rotate -x*90
    scale <0.25, 0.25, 0.5>
    translate  -0.2*z
  }
  torus { // crossframe1
    4.75, 0.25  rotate -x*90
    scale <0.25, 0.25, 0.5>
    translate  -3.2*z
  }
  torus { // crossframe2
    4.75, 0.25  rotate -x*90
    scale <0.3, 0.3, 0.5>
    translate  -1.7*z
  }
  texture {
    Bronze_Texture
  }
}
#declare engine = union {
  object { e7 }
  object { e4 }
  cone { // e8
    <0,0,0>, 0.0, <0,0,1>, 1.0
    texture {
      White_Marble
    }
    scale <0.4, 0.4, 1.0>
    rotate -180.0*y
    translate  2.0*z
  }
  cylinder { // Thorax
    <0,0,1>, <0,0,0>, 1 
    texture {
      Bronze_Texture
    }
    scale <0.3, 0.3, 3.0>
    translate  -4.0*z
  }
  sphere { // Abdomen
    <0,0,0>,1
    texture {
      Funky
    }
    scale <1.3, 1.3, 2.0>
    translate  -4.2*z
  }
  object { thecage }
  scale <0.8, 0.8, 0.6>
  rotate <90.0, 0.0, 0.0>
  translate  -3.5*y
}
#declare BumpBand = union {
  sphere { // Bmp
    <0,0,0>,1
    scale <0.4, 1.0, 0.4>
    translate  <0.0, 8.0, 0.9>
  }
  sphere { // Bmp1
    <0,0,0>,1
    scale <0.4, 1.0, 0.4>
    translate  8.0*y
  }
  sphere { // Bmp2
    <0,0,0>,1
    scale <0.4, 1.0, 0.4>
    translate  <0.5, 8.0, 0.5>
  }
  sphere { // Bmp3
    <0,0,0>,1
    scale <0.4, 1.0, 0.4>
    translate  <-0.5, 8.0, 0.5>
  }
}
#declare CSGObj001 = difference {
  sphere { // Sphere001
    <0,0,0>,1
    scale <10.0, 10.0, 14.0>
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Chrome_Texture
    }
    scale <5.0, 5.0, 7.0>
    rotate -45.0*z
    translate  <10.0, 0.0, 8.0>
  }
  sphere { // Sphere002
    <0,0,0>,1
    texture {
      Brass_Valley
    }
    scale <9.5, 9.5, 13.5>
  }
  box { // Cube2
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Chrome_Texture
    }
    scale <5.0, 5.0, 7.0>
    rotate -45.0*z
    translate  <-10.0, 0.0, 8.0>
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    texture {
      Chrome_Texture
    }
    scale <3.5, 3.5, 8.0>
    translate  8.0*z
  }
  box { // Cube3
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Chrome_Texture
    }
    scale <5.0, 5.0, 7.0>
    rotate -45.0*z
    translate  <0.0, 10.0, 8.0>
  }
  box { // Cube4
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Chrome_Texture
    }
    scale <5.0, 5.0, 7.0>
    rotate -45.0*z
    translate  <0.0, -10.0, 8.0>
  }
  scale 0.1
  rotate -90.0*x
  translate  <0.0, 10.0, 0.5>
}
#declare Tube = union {
  cone { // Flare
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.9, 0.9, 3.0>
    rotate 90.0*x
    translate  <0.0, 2.5, 0.5>
  }
  cylinder { // Body1
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 9.0>
    rotate -90.0*x
    translate  0.5*z
  }
  object { BumpBand }
  object { // BumpBand1->BumpBand
    BumpBand
    translate  -2.0*y
  }
  object { // BumpBand2->BumpBand
    BumpBand
    translate  -4.0*y
  }
  object { // BumpBand3->BumpBand
    BumpBand
    translate  -6.0*y
  }
  object { // engine1->engine
    engine
    rotate <0.0, 0.0, 0.0>
    translate  0.5*z
  }
  object { CSGObj001 }
  sphere { // nozzle
    <0,0,0>,1
    texture {
      Texture02
    }
    scale <0.3, 0.3, 1.2>
    rotate -90.0*x
    translate  <0.0, 10.0, 0.5>
  }
  texture {
    Funky
  }
  translate  <4.6, 1.0, -0.5>
}




// ********  OBJECTS  *******

sphere { // Palnet
  <0,0,0>,1
  texture {
    Planet1
  }
  no_shadow
  scale 30.0
  translate  <40.368812, 26.947973, -42.84803>
}




#declare MainWing = difference {
  sphere { // Wing
    <0,0,0>,1
    scale <9.0, 2.0, 0.2>
    translate  3.25*y
  }
  cylinder { // WingD2
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 3.0>
    translate  <-6.0, 2.0, -1.5>
  }
  cylinder { // WingD3
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 3.0>
    translate  <6.0, 2.0, -1.5>
  }
  translate  2.0*y
}
#declare hull = union {
  cylinder { // Body
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 1.0, 8.0>
    rotate -90.0*x
    translate  3.0*y
  }
  cone { // Flare2
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.9, 0.9, 3.0>
    rotate -270.0*x
    translate  2.5*y
  }
  cone { // Nose
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <2.0, 1.0, 2.0>
    rotate -270.0*x
    translate  13.0*y
  }
  cone { // Tail
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <2.0, 1.0, 3.0>
    rotate -90.0*x
  }
}
#declare HullA = difference {
  object { hull }
  box { // Slab
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 3.0, 2.0>
    rotate <-5.841576, -15.0, 0.0>
    translate  <-1.6, 9.879304, 2.712669>
  }
  box { // Slab1
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 3.0, 2.0>
    rotate <-5.841576, 15.0, 0.0>
    translate  <1.6, 9.879304, 2.713>
  }
  sphere { // iNTAKE
    <0,0,0>,1
    scale <1.0, 1.0, 0.5>
    translate  <0.0, 5.0, 1.0>
  }
}
#declare Test = union {
  object { MainWing }
  object { HullA }
  texture {
    Funky
  }
}
union { // rock
  object { Saucer }
  object { engine }
  object { Test }
  object { Tube }
  object { // Tube1->Tube
    Tube
    translate  -9.2*x
  }
  object { // Saucer1->Saucer
    Saucer
    scale <0.25, 0.25, 0.5>
    rotate <-1.0, 18.0, 0.0>
    translate  <1.0, 7.0, 1.1>
  }
  object { // Saucer2->Saucer
    Saucer
    scale <0.25, 0.25, 0.5>
    rotate <-1.0, -18.0, 0.0>
    translate  <-1.0, 7.0, 1.1>
  }
  sphere { // NoseCone
    <0,0,0>,1
    texture {
      Funky
    }
    scale <0.4, 0.4, 0.5>
    rotate 20.0*y
    translate  <0.136808, 5.0, 0.375877>
  }
  no_shadow
  rotate -30.0*y
}




